com.sun.j3d.audioengines.javasound

## Class JSAuralParameters

- java.lang.Object
- - com.sun.j3d.audioengines.AuralParameters
  - - com.sun.j3d.audioengines.javasound.JSAuralParameters

    public class JSAuralParameters
    extends AuralParameters

The AudioDevice dependent sound node and aural attribute node parameters. These are explicitly maintained for HaeSoundMixer

### Field Summary

### Fields inherited from class com.sun.j3d.audioengines.AuralParameters

`decayFrequencyCutoff, decayTime, density, diffusion, frequencyScaleFactor, NO_FILTERING, reflectionCoefficient, reflectionDelay, reverbCoefficient, reverbDelay, reverbOrder, rolloff, SPEED_OF_SOUND, velocityScaleFactor`

### Method Summary

### Methods inherited from class com.sun.j3d.audioengines.AuralParameters

`debugPrint, getDistanceFilter, getDistanceFilterLength, getDistanceFilterType, setDistanceFilter`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`